com.mysql.cj

## Interface MysqlConnection

All Known Subinterfaces:
  JdbcConnection, LoadBalancedConnection, ReplicationConnection

    public interface MysqlConnection

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `checkClosed()`
`void` `cleanup(Throwable whyCleanedUp)` Destroys this connection and any underlying resources.
`void` `createNewIO(boolean isForReconnect)` Creates an IO channel to the server.
`Lock` `getConnectionLock()`
`ExceptionInterceptor` `getExceptionInterceptor()`
`long` `getId()`
`Properties` `getProperties()` Returns the parsed and passed in properties for this connection.
`PropertySet` `getPropertySet()`
`ServerSessionStateController` `getServerSessionStateController()`
`Session` `getSession()`
`String` `getURL()`
`String` `getUser()`

### Method Detail

#### getPropertySet

    PropertySet getPropertySet()

#### createNewIO

    void createNewIO(boolean isForReconnect)

Creates an IO channel to the server.

Parameters:
  `isForReconnect` - is this request for a re-connect

#### getId

    long getId()

#### getProperties

    Properties getProperties()

Returns the parsed and passed in properties for this connection.

Returns:
  `Properties`

#### getConnectionLock

    Lock getConnectionLock()

#### getSession

    Session getSession()

#### getURL

    String getURL()

#### getUser

    String getUser()

#### getExceptionInterceptor

    ExceptionInterceptor getExceptionInterceptor()

#### checkClosed

    void checkClosed()

#### cleanup

    void cleanup(Throwable whyCleanedUp)

Destroys this connection and any underlying resources.

Parameters:
  `whyCleanedUp` - exception caused the connection clean up

#### getServerSessionStateController

    ServerSessionStateController getServerSessionStateController()

Copyright © 2016, 2024, Oracle and/or its affiliates.